/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef CSP_H
#define CSP_H

int csp_to_yuv(unsigned char *yuv, int dw, int dh,
	void *raw, unsigned char *mask, int width, int height,
	int sx, int sy, int sw, int sh, int fourcc);

void yuv_rect(unsigned char *yuv, int iw, int ih,
	int rx, int ry, int rw, int rh, int cy, int cu, int cv);

void yuv_f8_printf(unsigned char *yuv, int iw, int ih, int ix, int iy,
	char *fmt, ...);

#define YUV_DIFF_VISIBLE	1
int yuv_diff(unsigned char *yuv, unsigned char *bkg, unsigned char *frg,
	int bg0, int fg0, int iw, int ih, int thr, int *avg_r, int flags);


#endif

