/*
    This file is part of l_mon.
    Copyright (C) 2016-2022  Laurent Poirrier

    l_mon is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with l_mon.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef MASK_H
#define MASK_H

#define MASK_THRESHOLD 12

typedef struct mask_data_t {
	int ow, oh;
	unsigned char *od;
	
	int cw, ch;
	unsigned char *cd;
	
	int mx, my, mw, mh;
} mask_data;

int mask_init(mask_data *m, char *path);
void mask_clear(mask_data *m);

int mask_setup(mask_data *m, int vw, int vh);


#endif

